<template>
  <b-card class="price-container">
    <b-card-header header-bg-variant="info" header-text-variant="white">
      Totaal bedrag
    </b-card-header>
    <b-card-footer>
      <div>
        <span v-if="hasConfigurationPriceError" class="price-error"><strong>ERROR</strong></span>
        <span v-else>&euro; {{getConfigurationPrice}}</span>
      </div>
    </b-card-footer>
  </b-card>
</template>

<script>
import {mapGetters} from "vuex";

export default {
  props: {
    price: String
  },
  name: "Price",
  computed: {
    ...mapGetters([
        'getConfigurationPrice',
        'hasConfigurationPriceError'
    ])
  }
}
</script>

<style scoped>
.price-container {
  font-weight: bold;
  font-size: 1.8rem;
  position: fixed;
  top: 278px;
  margin-left: -300px;
}
.price-error {
  font-weight: bold;
  color: red;
  font-size: 1.8rem;
}
</style>
